module RouteNGNClient
  class RateNGNClientException < StandardError; end
  class UnexpectedHTTPException < RateNGNClientException; end
  class PermissionDeniedException < RateNGNClientException; end
  class NonExistentRecord < RateNGNClientException; end
  class RateNGNClientConnectionException < RateNGNClientException; end
  class RouteNGNResponseException < RateNGNClientException; end
end