module RouteNGNClient
  class RouteTable < RemoteModel

    set_resource_attributes({
                              :path_base => 'metallic/route_tables',
                              :collection_name => 'route_tables',
                              :per_page => 25,
                              :request_options => {
                              }
                            })

    belongs_to :account
    has_many :routes, :outbound_end_point_groups

    def route_containers(params = {}, options = {}, &callback)      
      options[:klass] ||= RouteContainer
      options[:account_id] ||= self.request_account_id

      models = []

      response = Request.new(self.class.resource_attributes.merge(:collection_name => 'route_containers'), :get, [self.class.path_base, self.attributes.id, 'route_containers'], self.class.path_ext, params, options).execute(RouteNGNClient.connection)
      models = response.to_models

      callback.call(models) if callback

      models
    end

  end
end