module RouteNGNClient
  class Account < RemoteModel

    set_resource_attributes({
                              :path_base => 'system_admin/accounts',
                              :collection_name => 'accounts',
                              :per_page => 50,
                              :request_options => {
                              }
                            })

    has_many :users, :rate_sheets, :code_sheets, :carriers

    attr_accessor :inbound_end_point_groups

    def initialize(attributes = {})
      super

      @inbound_end_point_groups ||= []
    end

  end
end