module RouteNGNClient
  class EndPoint < Model

    belongs_to :outbound_end_point_group, :inbound_end_point_group

    def build_uri_parts(options = {})
      {
        :host => (self.attributes.host ? self.attributes.host.strip : ''),
        :port => (self.attributes.port ? self.attributes.port.to_s : '')
      }
    end

    def random_priority(max = 1000)
      rand(max)
    end

  end
end