module RouteNGNClient
  class RouteContainer < Model

    belongs_to :route_table
    has_many :routes
    has_one :inbound_rate

    def enhanced_routes
      self.routes.each do |route|
        route.attributes.inbound_rate = self.inbound_rate
        route.attributes.outbound_end_point_group = OutboundEndPointGroup.find(route.attributes.outbound_end_point_group_id, {:account_id => route.request_account_id})
      end

      self.routes
    end

  end
end