module RouteNGNClient
  module Utils
    extend self

    def string_subsets(s, options = {})
      result = s.blank? ? [] : s.length.times.collect { |i| s[0,i+1] }

      if options[:order] == :asc
        result.sort! { |x,y| x <=> y }
      else
        result.sort! { |x,y| y <=> x }
      end
    end

    def generate_uuid
      SecureRandom.uuid
    end

  end
end